%define upstream_name    Dist-Zilla-Plugin-ReadmeFromPod
%define upstream_version 0.33

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Automatically convert POD to a README for Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::String)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Pod::Readme)
BuildRequires: perl(Pod::Text)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
generate the README from 'main_module' by the Pod::Text manpage

The code is mostly a copy-paste of the Module::Install::ReadmeFromPod
manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README.md
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.330.0-3.mga6
+ Revision: 1026562
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.330.0-2.mga6
+ Revision: 969999
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.330.0-1.mga6
+ Revision: 884548
- update to 0.33

* Mon Jun 29 2015 sander85 <sander85> 0.320.0-1.mga6
+ Revision: 848230
- update to 0.32

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-3.mga5
+ Revision: 741469
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.210.0-1.mga5
+ Revision: 585567
- update to 0.21

* Sat Oct 19 2013 umeabot <umeabot> 0.180.0-2.mga4
+ Revision: 526967
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.180.0-1.mga4
+ Revision: 439174
- update to 0.18

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 366383
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 jquelin <jquelin> 0.160.0-1.mga2
+ Revision: 218733
- update to 0.16

* Wed Jan 26 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 40561
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-ReadmeFromPod

